#Sequence of tests needed for an audited SPC-1 submission.
#For internal use, the persistance test can be omitted.
#If the content of storage does not matter to performance (e.g. a fully allocated HDD config) INIT can be omitted.
outputDir=/perform/spc1/8888/Four_p8_Server/smt4_32Path32PQ_8BHRaid10_officialRun_1.5M
export PATH=/perform/spc1/8888:$PATH
ds8kConfig=$outputDir/ds8kConfig.txt

if [ ! -d $outputDir ]; then
    mkdir -p $outputDir
fi

LINE="================================================================================"

lsvg stripevg >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
lsvg -p stripevg >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
lsvg -l stripevg >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
dscli -hmc1 perfss02h -user admin -passwd passw0rd lsarray -dev IBM.2107-75GAH71 -l >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
dscli -hmc1 perfss02h -user admin -passwd passw0rd lsddm >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
dscli -hmc1 perfss02h -user admin -passwd passw0rd lsrank -dev IBM.2107-75GAH71 -l >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
dscli -hmc1 perfss02h -user admin -passwd passw0rd lsda IBM.2107-75GAH71 >> $ds8kConfig
echo "$LINE\n\n" >> $ds8kConfig
dscli -hmc1 perfss02h -user admin -passwd passw0rd lsioport -dev IBM.2107-75GAH71 -l >> $ds8kConfig


spc1 -master 4HOST-31-core.HST -run SPC1_INIT -output $outputDir -iops 10000 -storage SPC1.8BhRaid10.asu -slave_iops 1000 -iops_per_session 1000
spc1 -run SPC1_VERIFY -output $outputDir -iops 100 -storage SPC1.8BhRaid10.asu
spc1 -master 4HOST-31-core.HST -run SPC1_METRICS -output $outputDir -iops 1500000 -storage SPC1.8BhRaid10.asu
spc1 -run SPC1_VERIFY -output $outputDir -iops 100 -storage SPC1.8BhRaid10.asu
spc1 -master 4HOST-31-core.HST -run SPC1_PERSIST_1 -output $outputDir -iops 375000 -storage SPC1.8BhRaid10.asu

#For formal submission the following run should occur after a power cycle
#spc1 -master 4HOST-31-core.HST -run SPC1_PERSIST_2 -output $outputDir -iops 375000 -storage SPC1.8BhRaid10.asu
perfsh1b-1a (/perform/spc1/8888/Four_p8_Server)
